Package: org.apache.groovy.internal.util

## [Java] Class ReevaluatingReference<T>

- org.apache.groovy.internal.util.ReevaluatingReference

-     @Incubating
      public class ReevaluatingReference<T>
      extends Object

  This class represents a reference to the most actual incarnation of a Metaclass. INTERNAL USE ONLY.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReevaluatingReference(Class clazz, Supplier<T> valueSupplier, Function<T, SwitchPoint> validationSupplier)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public T` | `getPayload()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ReevaluatingReference(Class clazz, Supplier<T> valueSupplier, Function<T, SwitchPoint> validationSupplier)

  - ### Method Detail

    - #### public T getPayload()